Bug 13673 - Remove warnings from t/db_dependent/Barcodes.t
Summary: Remove warnings from t/db_dependent/Barcodes.t
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: M. Tompsett
QA Contact: Tomás Cohen Arazi
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-05 18:34 UTC by Tomás Cohen Arazi
Modified: 2015-12-03 22:11 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13673: Fix whitespace issues (6.39 KB, patch)
2015-05-08 20:28 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 13673: Fix whitespace issues (6.42 KB, patch)
2015-05-08 20:32 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 13673: Remove diags (3.23 KB, patch)
2015-05-08 20:49 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 13673: Silence noisy warnings in t/db_dependent/Barcodes.t (4.69 KB, patch)
2015-05-08 21:19 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 13758: (QA followup) revert case change that broke the tests (2.08 KB, patch)
2015-05-09 13:46 UTC, Indranil Das Gupta
Details | Diff | Splinter Review
Bug 13673: Remove diags (3.28 KB, patch)
2015-05-09 14:24 UTC, Indranil Das Gupta
Details | Diff | Splinter Review
Bug 13673: Remove diags (3.28 KB, patch)
2015-05-09 14:27 UTC, Indranil Das Gupta
Details | Diff | Splinter Review
Bug 13673: Fix whitespace issues (6.42 KB, patch)
2015-05-09 14:48 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 13673: Fix whitespace issues (6.42 KB, patch)
2015-05-09 14:49 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 13673: Remove diags (3.28 KB, patch)
2015-05-09 14:49 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 13673: Silence noisy warnings in t/db_dependent/Barcodes.t (4.69 KB, patch)
2015-05-09 14:49 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 13673: Silence noisy warnings in t/db_dependent/Barcodes.t (4.75 KB, patch)
2015-05-10 05:17 UTC, Indranil Das Gupta
Details | Diff | Splinter Review
Bug 13673: Fix whitespace issues (6.48 KB, patch)
2015-05-10 05:25 UTC, Indranil Das Gupta
Details | Diff | Splinter Review
Bug 13673: Remove diags (3.28 KB, patch)
2015-05-10 05:26 UTC, Indranil Das Gupta
Details | Diff | Splinter Review
Bug 13673: Silence noisy warnings in t/db_dependent/Barcodes.t (4.75 KB, patch)
2015-05-10 05:27 UTC, Indranil Das Gupta
Details | Diff | Splinter Review
[PASSED QA] Bug 13673: Fix whitespace issues (6.54 KB, patch)
2015-05-15 18:58 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
[PASSED QA] Bug 13673: Remove diags (3.35 KB, patch)
2015-05-15 18:59 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
[PASSED QA] Bug 13673: Silence noisy warnings in t/db_dependent/Barcodes.t (4.81 KB, patch)
2015-05-15 18:59 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 13673: (QA followup) Add license (1.25 KB, patch)
2015-05-15 18:59 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2015-02-05 18:34:43 UTC

    
Comment 1 Tomás Cohen Arazi 2015-02-05 18:35:24 UTC
All diags should be removed.
Comment 2 M. Tompsett 2015-05-08 20:28:33 UTC Comment hidden (obsolete)
Comment 3 M. Tompsett 2015-05-08 20:32:16 UTC Comment hidden (obsolete)
Comment 4 M. Tompsett 2015-05-08 20:49:51 UTC Comment hidden (obsolete)
Comment 5 M. Tompsett 2015-05-08 21:19:37 UTC Comment hidden (obsolete)
Comment 6 Indranil Das Gupta 2015-05-09 13:46:15 UTC Comment hidden (obsolete)
Comment 7 Indranil Das Gupta 2015-05-09 14:24:36 UTC Comment hidden (obsolete)
Comment 8 Indranil Das Gupta 2015-05-09 14:27:50 UTC Comment hidden (obsolete)
Comment 9 M. Tompsett 2015-05-09 14:48:46 UTC Comment hidden (obsolete)
Comment 10 M. Tompsett 2015-05-09 14:49:42 UTC Comment hidden (obsolete)
Comment 11 M. Tompsett 2015-05-09 14:49:47 UTC Comment hidden (obsolete)
Comment 12 M. Tompsett 2015-05-09 14:49:52 UTC Comment hidden (obsolete)
Comment 13 Indranil Das Gupta 2015-05-10 05:17:46 UTC Comment hidden (obsolete)
Comment 14 Indranil Das Gupta 2015-05-10 05:25:54 UTC Comment hidden (obsolete)
Comment 15 Indranil Das Gupta 2015-05-10 05:26:28 UTC Comment hidden (obsolete)
Comment 16 Indranil Das Gupta 2015-05-10 05:27:05 UTC Comment hidden (obsolete)
Comment 17 Indranil Das Gupta 2015-05-10 05:33:00 UTC
1/ All three test plans were followed. 
2/ All three patches cleared koha-qa.pl -c 1 -v 2 without errors.
Comment 18 Tomás Cohen Arazi 2015-05-15 18:58:54 UTC
Created attachment 39220 [details] [review]
[PASSED QA] Bug 13673: Fix whitespace issues

Indentation was horrible. Fixed to meet 4 space standard.

TEST PLAN
---------
1) Notice tabs in t/db_dependent/Barcodes.t
2) $ prove t/db_dependent/Barcodes.t
3) apply patch
4) $ prove t/db_dependent/Barcodes.t
   -- same output as before.
5) $ git diff -w origin/master
   -- code is identical except for indentations.
6) koha qa test tools

Signed-off-by: Indranil Das Gupta <indradg@gmail.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@gmail.com>
Comment 19 Tomás Cohen Arazi 2015-05-15 18:59:03 UTC
Created attachment 39221 [details] [review]
[PASSED QA] Bug 13673: Remove diags

TEST PLAN
---------
1) Apply first two patches
2) $ prove t/db_dependent/Barcodes.t
   -- Diags have been removed, just noisy warnings left.
3) $ git diff -w origin/master
   -- only excess print's and diag's removed.
4) koha qa test tools

Signed-off-by: Indranil Das Gupta <indradg@gmail.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@gmail.com>
Comment 20 Tomás Cohen Arazi 2015-05-15 18:59:13 UTC
Created attachment 39222 [details] [review]
[PASSED QA] Bug 13673: Silence noisy warnings in t/db_dependent/Barcodes.t

This last patch catches all the warning messages in tests.

TEST PLAN
---------
1) Apply first two patches
2) $ prove t/db_dependent/Barcodes.t
   -- still noisy warnings.
3) apply last patch
4) $ prove t/db_dependent/Barcodes.t
   -- All noisy warnings are caught.
5) koha qa test tools.

Signed-off-by: Indranil Das Gupta <indradg@gmail.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@gmail.com>
Comment 21 Tomás Cohen Arazi 2015-05-15 18:59:28 UTC
Created attachment 39223 [details] [review]
Bug 13673: (QA followup) Add license

Signed-off-by: Tomas Cohen Arazi <tomascohen@gmail.com>
Comment 22 Tomás Cohen Arazi 2015-05-15 19:03:48 UTC
Patches pushed to master.

Thanks Mark!